Bug 1031993 - Block SD/DC creation with a proper message when using special characters.
Block SD/DC creation with a proper message when using special characters.
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup (Show other bugs)
unspecified
Unspecified Unspecified
low Severity medium
: ---
: 3.3.0
Assigned To: Alex Lourie
Leonid Natapov
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 05:24 EST by Leonid Natapov
Modified: 2013-12-04 02:57 EST (History)
7 users (show)

See Also:
Fixed In Version: ovirt-hosted-engine-setup-1.0.0-0.10.1.rc.el6ev
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 02:57:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21775 None None None Never
oVirt gerrit 21938 None None None Never

  None (edit)
Description Leonid Natapov 2013-11-19 05:24:53 EST
We should not allow enter special characters in the hosted engine setup values like DC and SD. Now,user can enter DC name like *&^%$#@ which is forbidden if user were using UI. Hosted engine setup should align with the UI.
Comment 1 Leonid Natapov 2013-11-19 05:26:23 EST
The UI accepts the following:
---
Name can be only 'A-Z','a-z',0-9','-' or '_' characters
---
Comment 2 Martin Sivák 2013-11-19 06:14:41 EST
Also make sure the smtp configuration for notifications obeys the standard rules:

SMTP server: ietf.org/rfc/rfc2181.txt section 11
EMAIL address: the regexp here is not simple.. but for example msivak+tag@redhat.com is a valid address :)
Comment 3 Sandro Bonazzola 2013-11-20 07:16:00 EST
(In reply to Martin Sivák from comment #2)
> Also make sure the smtp configuration for notifications obeys the standard
> rules:
> 
> SMTP server: ietf.org/rfc/rfc2181.txt section 11
> EMAIL address: the regexp here is not simple.. but for example
> msivak+tag@redhat.com is a valid address :)

This is already in, fixing bug #1032467.
Comment 4 Sandro Bonazzola 2013-12-03 04:00:49 EST
patch merged on upstream master and 1.0 branches.
Comment 6 yeylon@redhat.com 2013-12-04 02:57:17 EST
This bug was fixed and is slated to be in the upcoming version. As we
are focusing our testing at this phase on severe bugs, this bug was
closed without going through its verification step. If you think this
bug should be verified by QE, please set its severity to high and move
it back to ON_QA

Note You need to log in before you can comment on or make changes to this bug.